RTL_GLOBAL_PEND_IRQ(3)

NAME
rtl_global_pend_irq - schedule a Linux interrupt

SYNOPSIS
#include <rtl_core.h> extern void rtl_global_pend_irq(int irq);

DESCRIPTION
This function is specific to Real-Time Linux. rtl_global_pend_irq schedules the IRQ irq to happen when the system enters the Linux mode. The interrupt irq can be the interrupt vector previously obtained from rtl_get_soft_irq or the Linux interrupt vector used in Linux request_irq.

AUTHOR
Michael Barabanov <baraban@fsmlabs.com>

SEE ALSO
rtl_get_soft_irq(3)